﻿<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
        <TargetFrameworks>net8.0</TargetFrameworks>
        <RootNamespace>Tecan.Sila2.Interop.Server</RootNamespace>
        <AssemblyName>Tecan.Sila2.Interop.Server</AssemblyName>
        <OutputPath>..\..\Build\Interop\ServerNetCore</OutputPath>
    </PropertyGroup>

    <ItemGroup>
        <Compile Include="..\..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
        <Compile Include="..\InteropServer\AnyTypeTest\AnyTypeTest.cs" Link="AnyTypeTest\AnyTypeTest.cs" />
        <Compile Include="..\InteropServer\AnyTypeTest\Dtos.cs" Link="AnyTypeTest\Dtos.cs" />
        <Compile Include="..\InteropServer\AnyTypeTest\Interface.cs" Link="AnyTypeTest\Interface.cs" />
        <Compile Include="..\InteropServer\AnyTypeTest\Provider.cs" Link="AnyTypeTest\Provider.cs" />
        <Compile Include="..\InteropServer\AuthenticationTest\AuthenticationProvider.cs" Link="AuthenticationTest\AuthenticationProvider.cs" />
        <Compile Include="..\InteropServer\AuthenticationTest\AuthenticationTest.cs" Link="AuthenticationTest\AuthenticationTest.cs" />
        <Compile Include="..\InteropServer\AuthenticationTest\Dtos.cs" Link="AuthenticationTest\Dtos.cs" />
        <Compile Include="..\InteropServer\AuthenticationTest\Interface.cs" Link="AuthenticationTest\Interface.cs" />
        <Compile Include="..\InteropServer\AuthenticationTest\Provider.cs" Link="AuthenticationTest\Provider.cs" />
        <Compile Include="..\InteropServer\BasicDataTypesTest\BasicDataTypesTest.cs" Link="BasicDataTypesTest\BasicDataTypesTest.cs" />
        <Compile Include="..\InteropServer\BasicDataTypesTest\Dtos.cs" Link="BasicDataTypesTest\Dtos.cs" />
        <Compile Include="..\InteropServer\BasicDataTypesTest\Interface.cs" Link="BasicDataTypesTest\Interface.cs" />
        <Compile Include="..\InteropServer\BasicDataTypesTest\Provider.cs" Link="BasicDataTypesTest\Provider.cs" />
        <Compile Include="..\InteropServer\BinaryTransferTest\BinaryTransferTest.cs" Link="BinaryTransferTest\BinaryTransferTest.cs" />
        <Compile Include="..\InteropServer\BinaryTransferTest\Dtos.cs" Link="BinaryTransferTest\Dtos.cs" />
        <Compile Include="..\InteropServer\BinaryTransferTest\Interface.cs" Link="BinaryTransferTest\Interface.cs" />
        <Compile Include="..\InteropServer\BinaryTransferTest\Interface.Extension.cs" Link="BinaryTransferTest\Interface.Extension.cs" />
        <Compile Include="..\InteropServer\BinaryTransferTest\Provider.cs" Link="BinaryTransferTest\Provider.cs" />
        <Compile Include="..\InteropServer\CancellationTest\CancellationTest.cs" Link="CancellationTest\CancellationTest.cs" />
        <Compile Include="..\InteropServer\CancellationTest\Dtos.cs" Link="CancellationTest\Dtos.cs" />
        <Compile Include="..\InteropServer\CancellationTest\Interface.cs" Link="CancellationTest\Interface.cs" />
        <Compile Include="..\InteropServer\CancellationTest\Provider.cs" Link="CancellationTest\Provider.cs" />
        <Compile Include="..\InteropServer\ErrorHandlingTest\Dtos.cs" Link="ErrorHandlingTest\Dtos.cs" />
        <Compile Include="..\InteropServer\ErrorHandlingTest\ErrorHandlingTest.cs" Link="ErrorHandlingTest\ErrorHandlingTest.cs" />
        <Compile Include="..\InteropServer\ErrorHandlingTest\Interface.cs" Link="ErrorHandlingTest\Interface.cs" />
        <Compile Include="..\InteropServer\ErrorHandlingTest\Provider.cs" Link="ErrorHandlingTest\Provider.cs" />
        <Compile Include="..\InteropServer\ListDataTypeTest\Dtos.cs" Link="ListDataTypeTest\Dtos.cs" />
        <Compile Include="..\InteropServer\ListDataTypeTest\Interface.cs" Link="ListDataTypeTest\Interface.cs" />
        <Compile Include="..\InteropServer\ListDataTypeTest\ListDataTypeTest.cs" Link="ListDataTypeTest\ListDataTypeTest.cs" />
        <Compile Include="..\InteropServer\ListDataTypeTest\Provider.cs" Link="ListDataTypeTest\Provider.cs" />
        <Compile Include="..\InteropServer\MetadataConsumerTest\Dtos.cs" Link="MetadataConsumerTest\Dtos.cs" />
        <Compile Include="..\InteropServer\MetadataConsumerTest\Interface.cs" Link="MetadataConsumerTest\Interface.cs" />
        <Compile Include="..\InteropServer\MetadataConsumerTest\MetadataConsumerTest.cs" Link="MetadataConsumerTest\MetadataConsumerTest.cs" />
        <Compile Include="..\InteropServer\MetadataConsumerTest\Provider.cs" Link="MetadataConsumerTest\Provider.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\Dtos.cs" Link="MetadataProvider\Dtos.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\IMetadataProviderTest.cs" Link="MetadataProvider\IMetadataProviderTest.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\Interface.cs" Link="MetadataProvider\Interface.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\MetadataProvider.cs" Link="MetadataProvider\MetadataProvider.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\Provider.cs" Link="MetadataProvider\Provider.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\StringMetadataProvider.cs" Link="MetadataProvider\StringMetadataProvider.cs" />
        <Compile Include="..\InteropServer\MetadataProvider\TwoIntegersMetadataProvider.cs" Link="MetadataProvider\TwoIntegersMetadataProvider.cs" />
        <Compile Include="..\InteropServer\MultiClientTest\Dtos.cs" Link="MultiClientTest\Dtos.cs" />
        <Compile Include="..\InteropServer\MultiClientTest\Interface.cs" Link="MultiClientTest\Interface.cs" />
        <Compile Include="..\InteropServer\MultiClientTest\MultiClientTest.cs" Link="MultiClientTest\MultiClientTest.cs" />
        <Compile Include="..\InteropServer\MultiClientTest\Provider.cs" Link="MultiClientTest\Provider.cs" />
        <Compile Include="..\InteropServer\ObservableCommandTest\Dtos.cs" Link="ObservableCommandTest\Dtos.cs" />
        <Compile Include="..\InteropServer\ObservableCommandTest\Interface.cs" Link="ObservableCommandTest\Interface.cs" />
        <Compile Include="..\InteropServer\ObservableCommandTest\ObservableCommandTest.cs" Link="ObservableCommandTest\ObservableCommandTest.cs" />
        <Compile Include="..\InteropServer\ObservableCommandTest\Provider.cs" Link="ObservableCommandTest\Provider.cs" />
        <Compile Include="..\InteropServer\ObservablePropertyTest\Dtos.cs" Link="ObservablePropertyTest\Dtos.cs" />
        <Compile Include="..\InteropServer\ObservablePropertyTest\Interface.cs" Link="ObservablePropertyTest\Interface.cs" />
        <Compile Include="..\InteropServer\ObservablePropertyTest\ObservablePropertyTest.cs" Link="ObservablePropertyTest\ObservablePropertyTest.cs" />
        <Compile Include="..\InteropServer\ObservablePropertyTest\Provider.cs" Link="ObservablePropertyTest\Provider.cs" />
        <Compile Include="..\InteropServer\ParameterConstraintsTest\Dtos.cs" Link="ParameterConstraintsTest\Dtos.cs" />
        <Compile Include="..\InteropServer\ParameterConstraintsTest\Interface.cs" Link="ParameterConstraintsTest\Interface.cs" />
        <Compile Include="..\InteropServer\ParameterConstraintsTest\ParameterConstraintsTest.cs" Link="ParameterConstraintsTest\ParameterConstraintsTest.cs" />
        <Compile Include="..\InteropServer\ParameterConstraintsTest\Provider.cs" Link="ParameterConstraintsTest\Provider.cs" />
        <Compile Include="..\InteropServer\RecoverableErrorProvider\Dtos.cs" Link="RecoverableErrorProvider\Dtos.cs" />
        <Compile Include="..\InteropServer\RecoverableErrorProvider\Interface.cs" Link="RecoverableErrorProvider\Interface.cs" />
        <Compile Include="..\InteropServer\RecoverableErrorProvider\Provider.cs" Link="RecoverableErrorProvider\Provider.cs" />
        <Compile Include="..\InteropServer\RecoverableErrorProvider\RecoverableErrorProviderTest.cs" Link="RecoverableErrorProvider\RecoverableErrorProviderTest.cs" />
        <Compile Include="..\InteropServer\StructureDataTypeTest\Dtos.cs" Link="StructureDataTypeTest\Dtos.cs" />
        <Compile Include="..\InteropServer\StructureDataTypeTest\Interface.cs" Link="StructureDataTypeTest\Interface.cs" />
        <Compile Include="..\InteropServer\StructureDataTypeTest\Provider.cs" Link="StructureDataTypeTest\Provider.cs" />
        <Compile Include="..\InteropServer\StructureDataTypeTest\StructureDataTypeTest.cs" Link="StructureDataTypeTest\StructureDataTypeTest.cs" />
        <Compile Include="..\InteropServer\UnobservableCommandTest\Dtos.cs" Link="UnobservableCommandTest\Dtos.cs" />
        <Compile Include="..\InteropServer\UnobservableCommandTest\Interface.cs" Link="UnobservableCommandTest\Interface.cs" />
        <Compile Include="..\InteropServer\UnobservableCommandTest\Provider.cs" Link="UnobservableCommandTest\Provider.cs" />
        <Compile Include="..\InteropServer\UnobservableCommandTest\UnobservableCommandTest.cs" Link="UnobservableCommandTest\UnobservableCommandTest.cs" />
        <Compile Include="..\InteropServer\UnobservablePropertyTest\Dtos.cs" Link="UnobservablePropertyTest\Dtos.cs" />
        <Compile Include="..\InteropServer\UnobservablePropertyTest\Interface.cs" Link="UnobservablePropertyTest\Interface.cs" />
        <Compile Include="..\InteropServer\UnobservablePropertyTest\Provider.cs" Link="UnobservablePropertyTest\Provider.cs" />
        <Compile Include="..\InteropServer\UnobservablePropertyTest\UnobservablePropertyTest.cs" Link="UnobservablePropertyTest\UnobservablePropertyTest.cs" />
    </ItemGroup>

    <ItemGroup>
        <Content Include="..\InteropServer\default.MetadataConfigurationSet.xml" Link="default.MetadataConfigurationSet.xml">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
        <EmbeddedResource Include="..\InteropServer\MetadataProvider.sila.xml" Link="MetadataProvider.sila.xml" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Include="..\InteropServer\AnyTypeTest.sila.xml" Link="AnyTypeTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\AuthenticationTest.sila.xml" Link="AuthenticationTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\BasicDataTypesTest.sila.xml" Link="BasicDataTypesTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\BinaryTransferTest.sila.xml" Link="BinaryTransferTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\CancellationTest.sila.xml" Link="CancellationTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\ErrorHandlingTest.sila.xml" Link="ErrorHandlingTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\ListDataTypeTest.sila.xml" Link="ListDataTypeTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\LockableCommandProvider.sila.xml" Link="LockableCommandProvider.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\MetadataConsumerTest.sila.xml" Link="MetadataConsumerTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\MultiClientTest.sila.xml" Link="MultiClientTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\ObservableCommandTest.sila.xml" Link="ObservableCommandTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\ObservablePropertyTest.sila.xml" Link="ObservablePropertyTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\ParameterConstraintsTest.sila.xml" Link="ParameterConstraintsTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\RecoverableErrorProvider.sila.xml" Link="RecoverableErrorProvider.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\StructureDataTypeTest.sila.xml" Link="StructureDataTypeTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\UnobservableCommandTest.sila.xml" Link="UnobservableCommandTest.sila.xml" />
        <EmbeddedResource Include="..\InteropServer\UnobservablePropertyTest.sila.xml" Link="UnobservablePropertyTest.sila.xml" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\Client.Core\Client.NetCore.csproj" />
        <ProjectReference Include="..\..\DynamicClient\DynamicClient.csproj" />
        <ProjectReference Include="..\..\Features\Authentication\Authentication.csproj" />
        <ProjectReference Include="..\..\Features\Cancellation\Cancellation.csproj" />
        <ProjectReference Include="..\..\Features\Recovery\Recovery.csproj" />
        <ProjectReference Include="..\..\Server.DryIoC\Server.DryIoC.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="AnyTypeTest\" />
        <Folder Include="AuthenticationTest\" />
        <Folder Include="BasicDataTypesTest\" />
        <Folder Include="BinaryTransferTest\" />
        <Folder Include="CancellationTest\" />
        <Folder Include="ErrorHandlingTest\" />
        <Folder Include="ListDataTypeTest\" />
        <Folder Include="MetadataConsumerTest\" />
        <Folder Include="MetadataProvider\" />
        <Folder Include="MultiClientTest\" />
        <Folder Include="UnobservablePropertyTest\" />
        <Folder Include="UnobservableCommandTest\" />
        <Folder Include="StructureDataTypeTest\" />
        <Folder Include="RecoverableErrorProvider\" />
        <Folder Include="ParameterConstraintsTest\" />
        <Folder Include="ObservablePropertyTest\" />
        <Folder Include="ObservableCommandTest\" />
    </ItemGroup>

</Project>
